#include "BuddhaColor.h"

namespace BuddhaXNA
{
	//------------------------------------------------------------------------
	const Color Color::White(255, 255, 255);
	const Color Color::Black(0, 0, 0);
	//------------------------------------------------------------------------
	D3DXCOLOR Color::CreateD3DXColor(const Color &color)
	{
		FLOAT r = (FLOAT)color.R / 255.0f;
		FLOAT g = (FLOAT)color.G / 255.0f;
		FLOAT b = (FLOAT)color.B / 255.0f;
		FLOAT a = (FLOAT)color.A / 255.0f;

		return D3DXCOLOR(r, g, b, a);
	}
}