#ifndef __BuddhaModelBone_H__
#define __BuddhaModelBone_H__

#include "BuddhaXNAPrerequisites.h"

namespace BuddhaXNA
{
	/// f̃{[f[^
	class ModelBone
	{
	protected:
		/// {[Xg
		typedef std::vector<ModelBone*> ChildBoneList;

		/// ̃{[̎q{[i[郊Xg
		ChildBoneList mChildren;

		/// e{[ւ̃|C^
		ModelBone* m_pParent;

		/// {[̖O
		String mName;

		/// {[Xgɂ邱̃{[̃CfbNXԍ
		unsigned int mIndex;

		ModelBone()
			: m_pParent(NULL),
			  mIndex(0)
		{
		}

	public:
		/**
		 * @brief e{[擾
		 * @return e{[ւ̃|C^B̃{[[g{[ł NULL ԂB
		 */
		ModelBone* GetParent(void)
		{
			return m_pParent;
		}

		/// {[擾
		String GetName(void)
		{
			return mName;
		}

		/// {[Xgɂ邱̃{[̃CfbNXԍ擾
		unsigned int GetIndex(void)
		{
			return mIndex;
		}

		/// ̃{[̎q{[̐擾
		unsigned int GetNumChildren(void)
		{
			return static_cast<unsigned int>(mChildren.size());
		}

		/// w肵CfbNXԍ̎q{[擾
		ModelBone* GetChildren(unsigned int idx)
		{
			if (idx < mChildren.size())
				return mChildren[idx];

			return NULL;
		}
	};
}

#endif