#ifndef __BuddhaStringConvert_H__
#define __BuddhaStringConvert_H__

#include "BuddhaXNAPrerequisites.h"

namespace BuddhaXNA
{
	class StringConvert
	{
	public:
		static int ParseInt(const String &str);
		static void ToLPSTR(const String &from, LPSTR out, size_t size);

		/// jR[h}`oCgR[h֕ϊ
		static AsciiString ToAsciiString(const String &from);
	};

	class AsciiStringConvert
	{
	public:
		/// }`oCg烆jR[h֕ϊ
		static String ToString(const AsciiString &from);
		static String ToString(const char* from);
	};
}

#endif